com.sun.j3d.utils.geometry

## Class ColorCube

- java.lang.Object
- - javax.media.j3d.SceneGraphObject
  - - javax.media.j3d.Node
    - - javax.media.j3d.Leaf
      - - javax.media.j3d.Shape3D
        - - com.sun.j3d.utils.geometry.ColorCube

    public class ColorCube
    extends Shape3D

Simple color-per-vertex cube with a different color for each face

### Field Summary

### Fields inherited from class javax.media.j3d.Shape3D

`ALLOW_APPEARANCE_OVERRIDE_READ, ALLOW_APPEARANCE_OVERRIDE_WRITE, ALLOW_APPEARANCE_READ, ALLOW_APPEARANCE_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE, ALLOW_GEOMETRY_READ, ALLOW_GEOMETRY_WRITE`

### Fields inherited from class javax.media.j3d.Node

`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

### Constructor Summary

Constructors
Constructor and Description
`ColorCube()` Constructs a color cube with unit scale.
`ColorCube(double scale)` Constructs a color cube with the specified scale.

### Method Summary

Methods
`double` `getScale()` Returns the scale of the Cube
`Shape3D` `getShape()` Deprecated. ColorCube now extends shape so it is no longer necessary to call this method.

### Methods inherited from class javax.media.j3d.Shape3D

`addGeometry, cloneNode, duplicateNode, getAllGeometries, getAppearance, getAppearanceOverrideEnable, getBounds, getCollisionBounds, getGeometry, getGeometry, indexOfGeometry, insertGeometry, intersect, intersect, intersect, numGeometries, removeAllGeometries, removeGeometry, removeGeometry, setAppearance, setAppearanceOverrideEnable, setCollisionBounds, setGeometry, setGeometry`

### Methods inherited from class javax.media.j3d.Node

`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

### Methods inherited from class javax.media.j3d.SceneGraphObject

`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ColorCube

    public ColorCube()

Constructs a color cube with unit scale. The corners of the color cube are [-1,-1,-1] and [1,1,1].

#### ColorCube

    public ColorCube(double scale)

Constructs a color cube with the specified scale. The corners of the color cube are [-scale,-scale,-scale] and [scale,scale,scale].

Parameters:
  `scale` - the scale of the cube

### Method Detail

#### getShape

    public Shape3D getShape()

Deprecated. ColorCube now extends shape so it is no longer necessary to call this method.

#### getScale

    public double getScale()

Returns the scale of the Cube

Since:
  Java 3D 1.2.1